%import pyeole.pkg
[View]
View=DistUpgradeViewEOLE
SupportSSH=DistUpgradeViewEOLE

[Distro]
BaseMetaPkgs=eole-server%slurp
%if %%eole_module != 'eolebase'
, %slurp
%if %%mode_conteneur_actif == 'oui'
eole-%%eole_module-module%slurp
%else
eole-%%eole_module-all%slurp
%end if
, eole-%%eole_module%slurp
%end if

PostUpgradeRemove=libflashsupport, kvm-source, gtk-qt-engine, libparted1.8-12, usplash, printconf, foomatic-db-gutenprint, ebox-printers, kbluetooth, kde-plasmoid-cwp, eole-register
PostInstallScripts=./xorg_fix_proprietary.py,/tmp/Upgrade-Auto/EOLEPostInstallScripts.py
RemovalDenylistFile=/tmp/Upgrade-Auto/removal_denylist.cfg

[Sources]
ValidMirrors=/etc/update-manager/mirrors_eole.cfg

[NonInteractive]
DebugBrokenScripts=yes

[ThirdPartyMirrors]
%set %%idx = 0
%for %%mirror in %%serveur_maj
eole%%idx=http://%%mirror/eole
envole%%idx=http://%%mirror/envole
%set %%idx += 1
%end for
%for %%repo in %%additional_repository_name
%%repo=%%pyeole.pkg.apt_source_get_uri(%%repo.additional_repository_source)
%end for
